#!/bin/csh
# Make summary files, tmp-dir/*.def, containing LaTeX macro definition lines
#
# Usage:
#	find-defs.sh latex-dir tmp-dir
#
# where latex-dir is the absolute path name of the directory containing
# LaTeX *.sty files, and tmp-dir is a directory that holds the *.def files.
# [21-Feb-1990]
pushd $1
/bin/rm -f $2/*.def
foreach f (*.sty)
	grep 'def\\' $f >$2/$f:r.def
end
popd
